Subject: Re: I-D Action:draft-ietf-tsvwg-sctp-strrst-09.txt

From: Randy Stewart <[email-masked]>
Date: Wed, 9 Feb 2011 11:18:35 -0500

Tom:

Just to let you know I did NOT forget about this... Here is the text that is
waiting in the xml for the -10 revision:
***********************************************************
   When a peer endpoint requests a Incoming SSN Reset Request it is
   possible that the local endpoint has just sent an Outgoing SSN Reset
   Request on the same stream and has not yet received a response.  In
   such a case the local endpoint MUST do the following:

   1) If the stream reset overlaps the outstanding request completely
      respond to the requestor with an acknowledgment indicating that
      there was 'Nothing to do'.

   2) Otherwise process the stream reset request normally responding to
      the requestor with an acknowledgment.

   It is also possible that the Incoming request will arrive after the
   Outgoing SSN Reset Request just completed.  In such a case the local
   endpoint MUST do the following:

   1) If the stream reset overlaps the outstanding request completely
      all of the streams being requested will be already set to 0.  If
      so, the local endpoint SHOULD send back a Stream Reset Response
      with the success code "Nothing to do".

   2) Otherwise process the stream reset request normally responding to
      the requestor an acknowledgment.

   Note that in either race condition the local endpoint could
   optionally also perform the reset.  This would result in streams that
   are already at sequence 0 being reset again to 0 which would cause no
   harm to the application but will add an extra message to the network.

   Note also that in any of the race conditions listed above the
   receiver MUST NOT send more than one response.  In other words two
   responses MUST NOT be sent for the same request.

*******************************************************************

When we get any other comments after LC I will issue the updated draft with the above...

If you would like further changes or this does not satisfy your comments below
let me know.. you can even send suggested text :-)

Best wishes

R

On Jan 15, 2011, at 6:49 AM, t.petch wrote:

> I like the change to 5.2.3 but think that it needs to go further.
> 
> -08 split out two cases,
> 
> Incoming SSN Reset Request received but no response yet to the Outgoing request
> Incoming SSN Reset Request received after response to the Outgoing request
> 
> assuming that the Incoming and Outgoing requests have overlapping stream
> numbers.
> 
> -09 subdivides the first case into overlaps completely and overlaps partially
> but
> I think that the second case is also in need of subdivision in the same way.
> 
> And, a point of clarification, in any of the four cases, is it required to send
> just
> the one response, ie you cannot send two responses in the partial overlap case,
> one saying no-op and the will do (or won't do!)?
> 
> 
> Tom Petch
> 

-----
Randall Stewart
[email-masked]